Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 147489 - rpm 4.4.x's new format of '%__vsflags' should be documented
Summary: rpm 4.4.x's new format of '%__vsflags' should be documented
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: rpm
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Paul Nasrat
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks: FC5Target
TreeView+ depends on / blocked
 
Reported: 2005-02-08 15:16 UTC by Robert Scheck
Modified: 2007-11-30 22:10 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-07-21 22:13:59 UTC


Attachments (Terms of Use)

Description Robert Scheck 2005-02-08 15:16:28 UTC
Description of problem:
rpm 4.4.x's new format of '%__vsflags' should be documented; this
isn't currently the case.

Version-Release number of selected component (if applicable):
rpm-4.4.1-0.18

Actual results:
Currently only a old and single example for customizing %__vsflags 
is provided, which doesn't work with rpm 4.4.x.

Expected results:
Apply of the provided patch for solving this problem:

--- snipp ---
--- rpm-4.4.1/macros.in          2004-12-05 21:05:46.000000000 +0100
+++ rpm-4.4.1/macros.in.rsc      2004-12-15 16:43:46.000000000 +0100
@@ -726,7 +726,22 @@
 %_rollback_transaction_on_failure      0

 #      Verify digest/signature flags for various rpm modes:
-#           1  --nohdrchk      if set, don't check rpmdb headers
+#       0x30300 (_RPMVSF_NODIGESTS)    --nohdrchk      if set, don't check digest(s)
+#       0xc0c00 (_RPMVSF_NOSIGNATURES) --nosignature   if set, don't check signature(s)
+#       0xf0000 (_RPMVSF_NOPAYLOAD)    --nolegacy      if set, check header+payload (if possible)
+#       0x00f00 (_RPMVSF_NOHEADER)     --nohdrchk      if set, don't check rpmdb headers
+#
+#      For example, the value 0xf0c00 (=0xf0000+0xc0c00) disables legacy
+#      digest/signature checking, disables signature checking, but attempts
+#      digest checking, also when retrieving headers from the database.
+#
+#      You also can do:
+#       >>> hex(rpm._RPMVSF_NOSIGNATURES)
+#       '0xc0c00'
+#      or:
+#       >>> hex(rpm._RPMVSF_NOSIGNATURES|rpm._RPMVSF_NOPAYLOAD)
+#       '0xf0c00'
+#      at the python prompt for example, after "import rpm".
 #
 #      The checking overhead is ~11ms per header for digests/signatures;
 #      each header from the database is checked only when first encountered
--- snapp ---

Comment 1 Robert Scheck 2005-07-14 10:36:48 UTC
Is this (or even better) possible for the upcoming rpm 4.4.2, please? Should be 
really an easy fix...

Comment 2 Paul Nasrat 2005-07-14 12:08:50 UTC
Jeff - seems a sane documentation patch to me.

Comment 3 Jeff Johnson 2005-07-21 22:13:59 UTC
Added in rpm-4.4.2-1. Thnaks for the patch.


Note You need to log in before you can comment on or make changes to this bug.